Allow opening a survey URL after a user chooses undo / "Don't Keep" after automatic migration of data from another browser
Because a larger-than-expected number of people have (so far) chosen to remove the data we import, we'd like to understand the motivation of those people better in order to improve their (and everyone's!) experience. Because motivation is a qualitative issue, telemetry alone isn't enough to help guide us. We'd like to run a survey for this.

In order to do this, step 1 is having the ability to open a survey in a new (selected) tab. The survey link can be a pref, thus allowing us to enable/disable this easily. I'll also add a separate pref that checks the locale in which the user is using Firefox, as I expect we won't be able to ask the user questions in every language (and maybe just in en-US, but either way...).